VisualEditor: Link input widget outwits itself with the leading colon for Category/file links
Closed, ResolvedPublic

Description
  1. Go to some page and edit in VE
  2. Click the "Link" toolbar button, type "Category:" and click a category that appears

The leading colon is correctly added, but the category now appears in red in the dropdown as if non-existent (although it shows up under "matching pages", not "new pages").

Probably, the link inspector should be ignoring/stripping the preceding colon when checking whether the page exists.

Same thing for links to File: pages.


Version: unspecified
Severity: normal

bzimport set Reference to bz50279.
TTO created this task.Via LegacyJun 27 2013, 11:19 AM
Jdforrester-WMF added a comment.Via ConduitJun 12 2014, 5:07 AM

Two different things look like they're pre-pending the ":". Helpful. :-)

gerritbot added a comment.Via ConduitJun 25 2014, 9:17 PM

Change 142136 had a related patch set uploaded by Alex Monk:
Don't prepend extra colon to category/file links

https://gerrit.wikimedia.org/r/142136

gerritbot added a comment.Via ConduitJun 26 2014, 1:29 AM

Change 142136 merged by jenkins-bot:
Don't prepend extra colon to category/file links

https://gerrit.wikimedia.org/r/142136

Jdforrester-WMF added a comment.Via ConduitJun 28 2014, 10:38 PM
  • Bug 63353 has been marked as a duplicate of this bug. ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.